This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 253892

Summary: There is no usable romanian keymap for the linux console
Product: [Fedora] Fedora Reporter: Alexandru Szasz <alexxed>
Component: kbdAssignee: Vitezslav Crhonek <vcrhonek>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: eddy.petrisor, mishu
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-11-16 08:10:19 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705, 292091, 294461, 294471    
Attachments:
Description Flags
Romanian keymap
none
differences from what I submitted to kbd-1.12.27
none
keymap with altgr as modifier, variant with cedillas
none
keymap with altgr as modifier, variant with commas
none
keymap for romanian keyboards, variant with cedillas
none
keymap for romanian keyboards, variant with commas
none
keymap with altgr as modifier, variant with commas
none
keymap for romanian keyboards, variant with commas
none
font with iso-8859-16 characters
none
another font with iso-8859-16 characters none

Description Alexandru Szasz 2007-08-22 14:31:58 EDT
Description of problem:

There is no usable romanian keymap for the linux console. There is a ro_win one
that uses ISO-8859-2, although for romanian UTF8 is needed and set by default.

I've created a keymap for the most common used keymap by romanians, that is the
variant where diacritics are entered with the help of AltGr.

You can find it attached. It would be nice if it would be included in the kbd
package in Fedora as well as in RHEL.

The name ro is not used, there is only a ro_win variant now.

Additional info:

I'm the coordinator for Fedora translations.
Comment 1 Alexandru Szasz 2007-08-22 14:31:59 EDT
Created attachment 162824 [details]
Romanian keymap
Comment 2 Vitezslav Crhonek 2007-09-18 06:58:30 EDT
Hi,

thanks for reporting and keymap. It's fixed in kbd-1.12-25.fc8 and I've opened
two new bugs (#294461, #294471) for tracking this issue in RHEL.
Comment 3 Alexandru Szasz 2007-10-18 10:01:52 EDT
Created attachment 231061 [details]
differences from what I submitted to kbd-1.12.27

There seems to be a difference between what I submitted and what is now in
kbd-1.12-27

There seems to be a difference between what I submitted and what is now in
kbd-1.12-27

Hello,

There seems to be a difference between what I submitted and what is now in
kbd-1.12-27.
Comment 4 Alexandru Szasz 2007-10-18 13:12:37 EDT
Created attachment 231241 [details]
keymap with altgr as modifier, variant with cedillas

This variant should be set as default due to the fact that romanian keyboards
are very rare and the correct version of ş and ţ characters with commas
instead of cedillas below are not present in any console fonts right now.
Comment 5 Alexandru Szasz 2007-10-18 13:13:20 EDT
Created attachment 231251 [details]
keymap with altgr as modifier, variant with commas
Comment 6 Alexandru Szasz 2007-10-18 13:14:06 EDT
Created attachment 231261 [details]
keymap for romanian keyboards, variant with cedillas
Comment 7 Alexandru Szasz 2007-10-18 13:14:33 EDT
Created attachment 231271 [details]
keymap for romanian keyboards, variant with commas
Comment 8 Alexandru Szasz 2007-10-18 13:17:16 EDT
I've attached 4 keymaps that should be included in Fedora and RHEL.

Note that two of these keymaps are what is required in bug 337271 so you can
close that.

Thank you and sorry for the big mess around this.

If these 4 keymaps don't satisfy all the people I don't know what will :)
Comment 9 Alexandru Szasz 2007-10-20 04:49:44 EDT
Created attachment 233321 [details]
keymap with altgr as modifier, variant with commas

Updated
Comment 10 Alexandru Szasz 2007-10-20 04:50:24 EDT
Created attachment 233331 [details]
keymap for romanian keyboards, variant with commas

Updated
Comment 11 Alexandru Szasz 2007-10-20 05:01:06 EDT
I'm currently working on a font for iso-8859-16/lat-10 (Romanian is in this
one). If you know such a thing already exists, please say. This would make the
comma variants usable.

For now, with the currentfont the sedilla versions are working properly, and
they should remain default for now.
Comment 12 Will Woods 2007-10-24 12:13:02 EDT
If I understand correctly, we have a pretty good fix in kbd-1.12-27.fc8? Moving
to F9Target for the full fix.
Comment 13 Alexandru Szasz 2007-10-24 14:10:21 EDT
No, 1.12-27 is out with a deffective keymap. See my third comment to this bug. 

Please update this as soon as possible, there was no working version before,
there is no working version now.

The only thing that 1.12-27 fixed is that anaconda won't crash in text mode
installation due to missing ro.map file.
Comment 14 Alexandru Szasz 2007-11-03 07:44:41 EDT
Created attachment 247291 [details]
font with iso-8859-16 characters

Hi,

Here is a font that includes the iso-8859-16 characters, among them are the
șț and ȘȚ characters, that is s and t with comma undernieth. Please include
this in the future kbd packages. The font is licensed GPLv2 or newer, as author
Radovan Garabik ( garabik@kassiopeia.juls.savba.sk ) stated to me. The font is
available here also:
http://kassiopeia.juls.savba.sk/~garabik/software/fonty-rg/fonts/ 

The default font for romanian should stay LatArCyrHeb-16.psfu.gz

Here is a table with the keymaps that should be added for romanian language:


ro.map.gz (default) "231241: keymap with altgr as modifier, variant with
cedillas"
ro_std.map.gz "231261: keymap for romanian keyboards, variant with cedillas"
ro_comma.map.gz "233321: keymap with altgr as modifier, variant with commas"
ro_comma_std_map.gz "233331: keymap for romanian keyboards, variant with
commas"

Please remove ro_win.map.gz from the distribution, it is useless.

Note that we can't switch to comma because there are a huge number of packages
that display romanian messages with s and t with cedilla, and there is no s and
t with cedilla in iso8859-16.

With the 4 keymaps and the iso16 font added to kbd we (romanian team) will be
able to switch easily to commas when all the packages that now use cedilla in
translations are corrected.

Thanks
Comment 15 Eddy Petrișor 2007-11-05 05:07:54 EST
Hello,

I was contacted by Alexandru in private about this issue, and I already soleved
this in Debian before the release of Debian Etch.

The bug report dealing with this bug in Debian is here:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=390633

I think it would be a shame to duplicate[*] the effort instead of taking
directly the layouts I made based on the Romanian standard with a few
non-intrusive additions to make them work on an Apple laptop keyboard:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=390633#17



About the fonts (which, imho, should be a different bug report), I found that
console-terminus to be complete in Debian.

[*] at least not from now on
Comment 16 Eddy Petrișor 2007-11-05 05:19:55 EST
Oh, the font I was talking about, console-terminus is present in this binary
package:

http://packages.debian.org/sid/console-terminus

The source package of the binary above is this one:

http://packages.debian.org/source/sid/xfonts-terminus


I won't get into details about debian packaging, but just say the source package
can be obtained by unpacking the .orig.tar.gz and then applying the gzipped
.diff over the unpacked orig.tar.gz.
Comment 17 Alexandru Szasz 2007-11-05 05:25:48 EST
Well, it's a little too late, the effort is already duplicated. Thanks for the
help though.

The keymaps from the bug report on debian don't work on Fedora. The comma
because ISO-8859-16 doesn't exist and the other one because of a unaccepted
syntax I guess, around characters defined with +Ux0000, I defined them without
the leading +.

As I see, we both went with the standards defined by the romanian academy, so we
can go on with the keymaps attached here. 

So Comment #14 is the one to be checked by the kbd team.
Comment 18 Alexandru Szasz 2007-11-05 05:39:35 EST
The font that Eddy Petrișor suggested would be a better choice if possible, it
has the s and t with comma undernieth as well as s and t with sedilla, and of
course all the other necessary diacritics for the romanian language.
Comment 19 Eddy Petrișor 2007-11-05 07:39:54 EST
> The keymaps from the bug report on debian don't work on Fedora. The comma
> because ISO-8859-16 doesn't exist and the other one because of a unaccepted
> syntax I guess, around characters defined with +Ux0000, I defined them without
> the leading +.

Please note that the layout I proposed also has a small modification that allows
it to be used on Apple laptops. I know this might be a small percentage of the
users, but is a feature which has no ill effects for the other users.


About the +-es, they can be removed easily with a simple sed:

sed -i 's#+##g' <file>

I don't know what you mean by 'iso-8859-16 doesn't exist', when that encoding
exists[1] and is the only 8 bit encoding that can display correct s/t comma
characters.

Also, glibc knows about this encoding (and I think that is not a debian-only
patch), and if it doesn't, that is a bug :-D.


[1] http://en.wikipedia.org/wiki/ISO_8859-16
Comment 20 Vitezslav Crhonek 2007-11-05 09:21:28 EST
Hi guys,

sorry for my inactivity, I was ill for last two weeks:(

Alexandru, kbd-1.12-25.fc8 included your new ro.map. I've changed this map in
kbd-1.12-26.fc8 (and later) to produce comma codes and changed
LatArCyrHeb-16.psfu.gz font unicode map to display both comma and cedilla codes
as cedilla characters (because only cedilla characters are included).

(I think this is better, because as soon, as you have font able to display comma
characters, you will see right glyph. Meantime you see wrong glyph, but you
insert right unicode.)

But unfortunately I did a mistake, so it didn't work - here's fixed version: 

http://people.redhat.com/vcrhonek/kbd-1.12-28.fc8.src.rpm

I found another problem - Euro character isn't present in LatArCyrHeb-16.psfu.gz.

But things moved as I can see, so today or tomorrow I'll work on new version
according to latest comments here...
Comment 21 Alexandru Szasz 2007-11-12 07:25:19 EST
Created attachment 255111 [details]
another font with iso-8859-16 characters

Hi,

Please find attached a font taken from
http://packages.debian.org/sid/console-terminus that contains both the s and
with sedilla undernieth as well as s and t with comma undernieth.

This font is packaged by Debian, I'm not sure about the license they use, but
this font would be perfect for all romanian text mode problems since it
includes both characters used.

If you do decide that this font can be included, then please drop the wrong
cedilla versions of the keymaps and include only the correct comma ones:

default: ro.map.gz ( 233321: keymap with altgr as modifier, variant with commas
)
optional: ro_std.map.gz ( 233331: keymap for romanian keyboards, variant with
commas )

This would be the perfect solution for the Romanian language.
Comment 22 Vitezslav Crhonek 2007-11-16 06:50:23 EST
Hi,

please test kbd-1.12-28.fc9, thanks!
Comment 23 Alexandru Szasz 2007-11-16 07:57:21 EST
Hi,

It looks beautiful, I'm glad we finally got rid of the cedillas. Now all that is
needed is that:

- anaconda should be set up to use the "ro" keymap, and the "Lat2-Terminus16"
font for text mode installation when romanian is choose or passed in kernel
arguments
- in system-config-language, file locale-list
    ro_RO.UTF-8 utf8 LatArCyrHeb-16 Romanian should be replaced with ro_RO.UTF-8
utf8 Lat2-Terminus16 Romanian
- the files in kbd-1.12-28.fc9 and the 2 changes above should be pushed into
RHEL as well

Can you do all that or do I have to open some other tickets ?

Thank you very much for the help so far.
Comment 24 Vitezslav Crhonek 2007-11-16 08:10:19 EST
Please open new bugs (or reopen old ones) against anaconda and s-c-l in Fedora.
Then clone them to RHEL too.

Kbd part is already done, I've opened another two bugs to solve this in RHEL
(#294461, #294471).